package es.kauron.jstudy.model;

import java.io.File;
import java.util.prefs.BackingStoreException;
import java.util.prefs.Preferences;

public class AppConfig {
    public static boolean repeatWrong, showFeedback;
    public static File lastDir;

    public static void save() {
        Preferences prefs = Preferences.userRoot();
        prefs.putBoolean("repeatWrong", repeatWrong);
        prefs.putBoolean("showFeedback", showFeedback);
        prefs.put("lastDir", lastDir == null ? "" : lastDir.getAbsolutePath());
        try {
            prefs.flush();
        } catch (BackingStoreException e) {
            e.printStackTrace();
        }
    }

    public static void load() {
        Preferences prefs = Preferences.userRoot();
        repeatWrong  = prefs.getBoolean("repeatWrong", true);
        showFeedback = prefs.getBoolean("showFeedback", true);
        String dirPath = prefs.get("lastDir", "");
        if (!dirPath.isEmpty()) lastDir = new File(dirPath);
    }

    public static String printValues() {
        return String.format("repeatWrong=%b\nshowFeedback=%b", repeatWrong, showFeedback);
    }
}
